| Home | Libraries | People | FAQ | More

## Macro BOOST_DLL_SELECTANY

BOOST_DLL_SELECTANY — Macro that allows linker to select any occurrence of this symbol instead of failing with 'multiple definitions' error at linktime.

## Synopsis

    // In header: <boost/dll/alias.hpp>

    BOOST_DLL_SELECTANY

## Description

This macro does not work on Android, IBM XL C/C++ and MinGW+Windows because of linker problems with exporting weak symbols (See https://code.google.com/p/android/issues/detail?id=70206, https://sourceware.org/bugzilla/show_bug.cgi?id=17480)